---
title: "Hardware adventures and operating systems installation"
date: 2020-07-24T18:00:00+02:00
---

At the beginning of the project, the goal was to create a single storage server at my apartment. So I bought a [fancy
case](https://www.ldlc.com/fr-be/fiche/PB00181814.html) with racks in front to hot replace disks and I retrieved an
[Intel NUC motherboard](https://www.intel.com/content/www/us/en/products/boards-kits/nuc/boards.html) from work. It had
only two SATA ports available to connect disks which is not enough to plug at least four disks: one for the system and
three for the storage. I bought a [PCI RAID card](https://www.amazon.fr/gp/product/B0001Y7PU8) to add four slots. I
connected two small SSD for the system and four data disks, then installed FreeBSD without any issue. I started to copy
data to the storage space when a noisy alarm[^1] began to wake everybody up in the building. This was unbearable. I
decided to buy a *micro ATX* motherboard with processor and memory to replace the Intel NUC board.  Wrong. I confused
[micro ATX](https://en.wikipedia.org/wiki/MicroATX) with [mini ITX](https://en.wikipedia.org/wiki/Mini-ITX) formats. The
first one was too big to fit in the box. So I bought a classic ATX case with a cheap power supply and 3x2TB disks from
work.  **Storage1** was born.

At that point, I had a working storage server and some pieces to build a second one. At the same time, my wife and I had
a baby. My office at home became the newborn bedroom. I paused this project for a year to focus on my family. Then, we
bought a house with plenty of space to handle life serenely.

During the move, I unpacked my very first computer that I had assembled in 2008. The only missing thing was a physical
slot to rack the fourth disk. I bought a [low cost ATX case](https://www.amazon.fr/gp/product/B00LA7PC6Y/) and moved
every piece into. I started before work on a Friday but didn't finish on time. My home office was covered with computers
pieces all day long. When I finished work, I went back to the project when a friendly neighbor called on me for help
because his computer crashed. Right before going to bed, I tried to connect the power button to the motherboard without
instructions, and it didn't work. I finally found it on the web and made it work, at midnight.  **Storage 2** was born.

It runs on a quite old hardware (10+ years). I thought it would be easy to install FreeBSD because it was created in the
90s[^2]. I tried to boot from USB but the stick was not recognized. I burnt a CD-ROM with version 12, the latest release
at that time. The installer was not able to load because of a [LUA
error](https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=234031) in the bootloader. In the comments and on forums, some
people managed to make version 11 work. I burnt a CD-ROM with version 11, same result. After having lost an afternoon of
my time and two CD-ROMs, I went back into my comfort zone and installed a Debian 10 with success.

Recently, my family offered me the missing hardware pieces to finalize the third storage host. The big one with 4TB
disks in the mini case. The one I had bought at the beginning of the project. In the end, it is not so practical. Disks
are not fixed to the rack. They can move back and forth a few centimeters. Some disks were not recognized by the system
because they were not connected. I pushed all of them with a screwdriver to ensure they were plugged into the SATA
connector. For the price, I expected it to work out-of-the-box. I was surprised to find four SATA ports on the
motherboard where I expected five or six. I removed one system disk. Goodbye dirty hack with adhesive tape to stick the
second SSD! Let's join your friends in the stock. **Storage 3** was born.

Here is the detailed list of components:

| Host     | Component    | Reference 																				                                                       |
| -------- | ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| storage1 | Case         | [Antec One](https://media.ldlc.com/ld/products/00/01/00/62/LD0001006251_2.jpg)                                                                 |
|          | Power supply | [Antec Basiq Series VP350P](https://media.ldlc.com/ld/products/00/00/89/95/LD0000899597_2.jpg)                                                 |
|          | Motherboard  | [Gigabyte GA-B150M-DS3H](https://media.ldlc.com/ld/products/00/03/45/35/LD0003453579_2.jpg)                                                    |
|          | CPU          | [Intel Celeron G3900 (2.8 GHz)](https://media.ldlc.com/ld/products/00/01/47/39/LD0001473956_2_0001473966_0001571304_0001571323_0003614881.jpg) |
|          | RAM          | [G.Skill Aegis 4 Go (1 x 4 Go) DDR4 2133 MHz CL15](https://www.ldlc.com/fr-be/fiche/PB00202287.html)                                           |
|          | System disks | [LDLC SSD F2 32 GB](https://media.ldlc.com/ld/products/00/03/42/11/LD0003421194_2_0003421246.jpg) (x2)                                         |
|          | Data disks   | 2TB HDD 3.5" (x3)                                                                                                                              |
| storage2 | Case         | [Advance Grafit](https://www.amazon.fr/gp/product/B00LA7PC6Y/)                                                                                 |
|          | Power supply | No reference found                                                                                                                             |
|          | Motherboard  | Asus M2A-VM HDMI                                                                                                                               |
|          | CPU          | AMD Athlon 64 X2 5000+ Socket AM2                                                                                                              |
|          | RAM          | G.Skill Kit Extreme2 2 x 1 Go PC6400 PK (x2)                                                                                                   |
|          | System disk  | Recycled 160GB HDD 3.5"                                                                                                                        |
|          | Data disks   | 1TB HDD 3.5" (x3)                                                                                                                              |
| storage3 | Case         | [In Win IW-MS04](https://www.ldlc.com/fr-be/fiche/PB00181814.html)                                                                             |
|          | Motherboard  | [ASRock H310CM-ITX/AC](https://www.ldlc.com/fr-be/fiche/PB00275155.html)                                                                       |
|          | CPU          | [Intel Celeron G4920 (3.2 GHz)](https://www.ldlc.com/fr-be/fiche/PB00247186.html)                                                              |
|          | RAM          | [G.Skill Aegis 4 Go (1 x 4 Go) DDR4 2133 MHz CL15](https://www.ldlc.com/fr-be/fiche/PB00202287.html)                                           |
|          | System disk  | [LDLC SSD F2 32 GB](https://media.ldlc.com/ld/products/00/03/42/11/LD0003421194_2_0003421246.jpg)                                              |
|          | Data disks   | 4TB HDD 3.5" (x3)                                                                                                                              |

Despite heterogeneous components, storage servers have been successfully running for a while now.

[^1]: Later, I found out that the noise was coming from the disk backplane and not the motherboard. There is a buzzer
that emits a sound sequence depending on the detected anomaly. At the apartment and at my current house in the summer,
the temperature in the room was too high (more than 29°C). I moved the host in a cold place. Problem solved.

[^2]: FreeBSD [initial release](https://en.wikipedia.org/wiki/FreeBSD) was on November 1, 1993.

